Daily usage
GET/organization/usage
Requests and units per UTC day, key, endpoint and result class, for the last 7, 30 or 90 days.
- Authentication
- Send an admin key (dk_admin_…) as a Bearer token. Data keys are refused here.
- Scope
organization- Cost
- Free
Parameters
| Name | Type | Description |
|---|---|---|
daysquery | string | Default 30. One of: |
Response
The data field is a list; each item has these fields.
| Name | Type | Description |
|---|---|---|
dayrequired | string | |
key_idrequired | string | null | null for dashboard playground calls |
endpointrequired | string | |
status_classrequired | integer | 2, 4 or 5 |
requestsrequired | integer | |
unitsrequired | integer |
Example request
curl "https://api.kite.sa/v1/organization/usage" \
-H "Authorization: Bearer $KITE_ADMIN_KEY"import { Kite } from "@kite-sa/sdk";
const kite = new Kite({ apiKey: process.env.KITE_ADMIN_KEY });
const result = await kite.organization.usage();import os
from kite_sa import Kite
kite = Kite(api_key=os.environ["KITE_ADMIN_KEY"])
result = kite.organization.usage()Open in the interactive reference
Related endpoints
- Get your organization
GET /organization - List data keys
GET /organization/keys - Create a data key
POST /organization/keys - Revoke a key
POST /organization/keys/{key_id}/revoke - List projects
GET /organization/projects - List members and invitations
GET /organization/members - List audit events
GET /organization/audit-events - List request logs
GET /organization/request-logs - Create a webhook endpoint
POST /organization/webhooks - List webhook endpoints
GET /organization/webhooks - Delete a webhook endpoint
POST /organization/webhooks/{webhook_id}/delete - List deliveries
GET /organization/webhooks/{webhook_id}/deliveries - Replay a delivery
POST /organization/webhooks/{webhook_id}/deliveries/{delivery_id}/replay